SoTextureCoordinate2(3IV)

NAME
SoTextureCoordinate2 — 2D texture coordinate node

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTextureCoordinate2

SYNOPSIS
#include <Inventor/nodes/SoTextureCoordinate2.h>

Fields from class SoTextureCoordinate2:

SoMFVec2f
point

Methods from class SoTextureCoordinate2:

SoTextureCoordinate2()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a set of 2D coordinates to be used to map textures to subsequent vertex-based shapes (those derived from SoVertexShape). It replaces the current texture coordinates in the rendering state for the shapes to use.

The current texture coordinate binding (see SoTextureCoordinateBinding) determines how texture coordinates are mapped to vertices of shapes. An alternative to using explicit texture coordinates is to generate them using a function; see SoTextureCoordinateFunction.

Texture coordinates range from 0 to 1 across the texture. The horizontal coordinate, called S, is specified first, followed by the vertical coordinate, T.

FIELDS
SoMFVec2f
point
Texture coordinate points.

METHODS

SoTextureCoordinate2()
Creates a texture coordinate node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction
Sets the current texture coordinates in the state.

FILE FORMAT/DEFAULTS
TextureCoordinate2 {
point	[  ]
}

SEE ALSO
SoTexture2, SoTextureCoordinateBinding, SoTextureCoordinateFunction, SoVertexShape